// SPDX-License-Identifier: Apache-2.0
import ValidatedRequest from "../../../../core/validation/ValidatedArgs";
import FormatValidation from "../FormatValidation";
export default class GetEquityDetailsRequest extends ValidatedRequest {
    equityId;
    constructor({ equityId }) {
        super({
            equityId: FormatValidation.checkHederaIdFormatOrEvmAddress(),
        });
        this.equityId = equityId;
    }
}
